Subject: Re: [bug#28750] gnurl 7.56.0

From: ng0 <[email-masked]>
Date: Sun, 8 Oct 2017 20:37:03 +0000

ng0 transcribed 2.7K bytes:
> I just released 7.56.0. Patch appended.
> -- 
> ng0
> GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> GnuPG: https://dist.krosos.org/dist/keys/
> https://www.infotropique.org https://krosos.org

> From 3fb0102c50f5626f5d8f1ab82b875ad7ea65fada Mon Sep 17 00:00:00 2001
> From: ng0 <[email-masked]>
> Date: Sun, 8 Oct 2017 17:32:48 +0000
> Subject: [PATCH] gnu: gnurl: Update to 7.56.0.

The appended patch needs to be applied after the update.
I found out that somewhere in the last 12 months I fixed
test1026 and didn't apply the change in Guix.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org
From c6562431f5ccfad0a8a83d76fee08d9a2673c845 Mon Sep 17 00:00:00 2001
From: ng0 <[email-masked]>
Date: Sun, 8 Oct 2017 20:32:01 +0000
Subject: [PATCH] gnu: gnurl: Let the testsuite run test1026.

* gnu/packages/gnunet.scm (gnurl)[argument]: Remove
'(delete-file "tests/data/test1026")' and the comments related to it.
---
 gnu/packages/gnunet.scm | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/gnu/packages/gnunet.scm b/gnu/packages/gnunet.scm
index e28bac6e8..9b79dfd9d 100644
--- a/gnu/packages/gnunet.scm
+++ b/gnu/packages/gnunet.scm
@@ -234,10 +234,6 @@ and support for SSL3 and TLS.")
               #t)))
         (replace 'check
           (lambda _
-            ;; It is unclear why test1026 fails, however the content of it
-            ;; suggests that it is not vital for gnurl.
-            (delete-file "tests/data/test1026")
-
             (substitute* "tests/runtests.pl"
               (("/bin/sh") (which "sh")))
 
-- 
2.14.2